<mr-modal
title="Elegir participantes"
subtitle="Sólo los usuarios seleccionados podrán publicar respuestas"
(onconfirm)="send()">

    <ng-container *ngIf="friends$ | async as friends">
        <ng-container *ngIf="friends.length then friendList else empty"></ng-container>
    
        <ng-template #friendList>
            <input [(ngModel)]="query" class="text-filter" placeholder="Buscar..." type="text">
            <mr-user-list
            [selectable]="true"
            [users]="friends | arrayFilter:query:'username'"
            (onchange)="participants = $event"></mr-user-list>
        </ng-template>
        
        <ng-template #empty>
            <mr-empty message="Parece que aún no tienes amigos"></mr-empty>
        </ng-template>
    </ng-container>
    
</mr-modal>
